Plesk\backup\Agent\Schema\Backup\Client\ClientAType\PreferencesAType:
    properties:
        pinfo:
            expose: true
            access_type: public_method
            serialized_name: pinfo
            xml_element:
                cdata: false
            accessor:
                getter: getPinfo
                setter: setPinfo
            xml_list:
                inline: true
                entry_name: pinfo
            type: array<Plesk\backup\Agent\Schema\Backup\Pinfo>
        domainTemplate:
            expose: true
            access_type: public_method
            serialized_name: domain-template
            xml_element:
                cdata: false
            accessor:
                getter: getDomainTemplate
                setter: setDomainTemplate
            xml_list:
                inline: true
                entry_name: domain-template
            type: array<Plesk\backup\Agent\Schema\Backup\DomainTemplate>
        customButton:
            expose: true
            access_type: public_method
            serialized_name: custom-button
            xml_element:
                cdata: false
            accessor:
                getter: getCustomButton
                setter: setCustomButton
            xml_list:
                inline: true
                entry_name: custom-button
            type: array<Plesk\backup\Agent\Schema\Backup\CustomButton>
        sharedSslBase:
            expose: true
            access_type: public_method
            serialized_name: shared-ssl-base
            xml_element:
                cdata: false
            accessor:
                getter: getSharedSslBase
                setter: setSharedSslBase
            type: Plesk\backup\Agent\Schema\Backup\SharedSslBase
        iisApplicationPool:
            expose: true
            access_type: public_method
            serialized_name: iis-application-pool
            xml_element:
                cdata: false
            accessor:
                getter: getIisApplicationPool
                setter: setIisApplicationPool
            type: Plesk\backup\Agent\Schema\Backup\IisApplicationPool
        subscription:
            expose: true
            access_type: public_method
            serialized_name: subscription
            xml_element:
                cdata: false
            accessor:
                getter: getSubscription
                setter: setSubscription
            type: Plesk\backup\Agent\Schema\Backup\Subscription
        apsBundle:
            expose: true
            access_type: public_method
            serialized_name: aps-bundle
            xml_element:
                cdata: false
            accessor:
                getter: getApsBundle
                setter: setApsBundle
            type: Plesk\backup\Agent\Schema\Backup\ApsBundle
